QImageConsumer(3qt)

NAME
QImageConsumer - An abstraction used by QImageDecoder

SYNOPSIS

#include <qasyncimageio.h>

  Public Members
virtual void changed ( const QRect & )
virtual void end ()
virtual void frameDone ()
virtual void setLooping ( int )
virtual void setFramePeriod ( int )
virtual void setSize ( int, int )

DESCRIPTION
An abstraction used by QImageDecoder.

A QImageConsumer consumes information about changes to the QImage maintained by a QImageDecoder. It represents the a view of the image which the decoder produces.

See also: QImageDecoder.

MEMBER FUNCTION DOCUMENTATION

void QImageConsumer::changed ( const QRect & ) [virtual]
Called when the given area of the image has changed.

void QImageConsumer::end () [virtual]
Called when all data of all frames has been decoded and revealed as changed().

void QImageConsumer::frameDone () [virtual]
Called when a frame of an animated image has ended and been revealed as changed(). The decoder will not make any further changes to the image until the next call to QImageFormat::decode().

void QImageConsumer::setFramePeriod ( int milliseconds ) [virtual]
Notes that the frame about to be decoded should not be displayed until the given number of milliseconds after the time that this function is called. Of course, the image may not have been decoded by then, in which case the frame should not be displayed until it is complete. A value of -1 (the assumed default) indicates that the image should be diplayed even while it is only partially loaded.

void QImageConsumer::setLooping ( int n ) [virtual]
Called to indicate that the sequence of frames in the image should be repeated n times, including the sequence during decoding.

0 = Forever

1 = Only display frames the first time through

2 = Repeat once after first pass through images

etc.

To make the QImageDecoder do this just delete it and pass the information to it again for decoding (setLooping() will be called again of course, but that can be ignored), or keep copies of the changed areas at the ends of frames.

void QImageConsumer::setSize ( int, int ) [virtual]
This function is called as soon as the size of the image has been determined.

SEE ALSO
http://www.troll.no/qt/qimageconsumer.html

COPYRIGHT
Copyright 1992-1997 Troll Tech AS. See the LICENSE file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.